package com.pqs9900.pojo.linedata;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

/**
 * system
 *
 * @author cdf
 * @date 2021/11/10
 */
@Table(name = "pqs_topmsg")
public class TopException {

    @Column(name = "msg_index")
    private String msgIndex;
    @Column(name = "timeid")
    private Date timeId;
    @Column(name = "dev_index")
    private Integer devIndex;
    @Column(name = "alarm_num")
    private Integer alarmNum;
    @Column(name = "comout_num")
    private Integer comoutNum;
    @Column(name = "flow_num")
    private Float flowNum;
    @Column(name = "state")
    private Integer state;
    @Column(name = "over_limit")
    private Integer overLimit;
    @Column(name = "flow_stand")
    private Integer flowStand;

    @Column(name = "comout_desc")
    private String comoutDesc;

    @Column(name = "ALARM_DESC")
    private String alarmDesc;

    @Column(name = "limit_value")
    private Float limitValue;


    @Transient
    private String devName;

    @Transient
    private String gdName;

    @Transient
    private String subName;

    @Transient
    private Integer lineGrade;

    @Transient
    private String provinceName;
    @Transient
    private String scale;



    @Transient
    private List<String> offDesc;


    public Float getLimitValue() {
        return limitValue;
    }

    public void setLimitValue(Float limitValue) {
        this.limitValue = limitValue;
    }

    public List<String> getOffDesc() {
        return offDesc;
    }

    public void setOffDesc(List<String> offDesc) {
        this.offDesc = offDesc;
    }

    public Integer getFlowStand() {
        return flowStand;
    }

    public void setFlowStand(Integer flowStand) {
        this.flowStand = flowStand;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Integer getLineGrade() {
        return lineGrade;
    }

    public void setLineGrade(Integer lineGrade) {
        this.lineGrade = lineGrade;
    }

    public Integer getOverLimit() {
        return overLimit;
    }

    public void setOverLimit(Integer overLimit) {
        this.overLimit = overLimit;
    }

    public String getMsgIndex() {
        return msgIndex;
    }

    public void setMsgIndex(String msgIndex) {
        this.msgIndex = msgIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public Integer getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Integer devIndex) {
        this.devIndex = devIndex;
    }

    public Integer getAlarmNum() {
        return alarmNum;
    }

    public void setAlarmNum(Integer alarmNum) {
        this.alarmNum = alarmNum;
    }

    public Integer getComoutNum() {
        return comoutNum;
    }

    public void setComoutNum(Integer comoutNum) {
        this.comoutNum = comoutNum;
    }

    public Float getFlowNum() {
        return flowNum;
    }

    public void setFlowNum(Float flowNum) {
        this.flowNum = flowNum;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getComoutDesc() {
        return comoutDesc;
    }

    public void setComoutDesc(String comoutDesc) {
        this.comoutDesc = comoutDesc;
    }

    public String getAlarmDesc() {
        return alarmDesc;
    }

    public void setAlarmDesc(String alarmDesc) {
        this.alarmDesc = alarmDesc;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getScale() {
        return scale;
    }

    public void setScale(String scale) {
        this.scale = scale;
    }
}
